Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TSS_Resources.h File Reference

`#include "tao/Policy_Manager.h"`
`#include "tao/TAO_Singleton.h"`
`#include "tao/Environment.h"`

Include dependency graph for TSS_Resources.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_TSS_Resources
| The TSS resoures shared by all the ORBs. More...
## Typedefs
typedef TAO_TSS_Singleton< TAO_TSS_Resources, TAO_SYNCH_MUTEX > | TAO_TSS_RESOURCES

## Detailed Description

Id:
  TSS_Resources.h,v 1.2 2003/10/28 18:29:21 bala Exp

Author:
  DOC Group - ISIS at Vanderbilt University , DOC Center - Washington University at St. Louis , DOC Laboratory - University of California at Irvine

## Typedef Documentation

typedef TAO_TSS_Singleton<TAO_TSS_Resources, TAO_SYNCH_MUTEX> TAO_TSS_RESOURCES

| Todo: TAO_TSS_RESOURCES singleton typedef should go away.